Bug 269911 - Telepathy Accounts KCM should reconnect when changed.
Summary: Telepathy Accounts KCM should reconnect when changed.
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-02 02:05 UTC by David Edmundson
Modified: 2012-07-06 12:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2011-04-02 02:05:13 UTC
Version:           unspecified
OS:                Linux

if the account is enabled the account should reconnect when parameters are changed. (i.e if I change the password in an account, it should try connecting)

I also think it should connect as soon as it is enabled from disabled mode.

Reproducible: Didn't try
Comment 1 Martin Klapetek 2011-04-02 11:01:59 UTC
I think it should offer you the possibility to connect immediately (a checkbox somewhere in the last step of the account wizard?), but it shouldn't happen automagically without user knowing it or wanting it.
Comment 2 Rohan Garg 2011-04-02 20:18:00 UTC
Git commit 12315011b735d6c7d4bc9fc75207da3512dbdd75 by Rohan Garg.
Committed on 02/04/2011 at 20:21.
Pushed by garg into branch 'master'.

Reconnect to service if account details are changed
Reviewd by David Edmundson
BUG: 269911

M  +1    -0    src/edit-account-dialog.cpp     

http://commits.kde.org/telepathy-accounts-kcm/12315011b735d6c7d4bc9fc75207da3512dbdd75
Comment 3 Rohan Garg 2011-04-05 20:04:03 UTC
Git commit 10ad86504cef9370c9e787ec7edabcd74a2e280e by Rohan Garg.
Committed on 05/04/2011 at 20:07.
Pushed by garg into branch 'master'.

Add a option to let the user go online as soon as the wizard exits
REVIEW: 101031
BUG: 269911

M  +24   -0    src/KCMTelepathyAccounts/account-edit-widget.cpp     
M  +6    -0    src/KCMTelepathyAccounts/account-edit-widget.h     
M  +6    -0    src/add-account-assistant.cpp     
M  +1    -0    src/edit-account-dialog.cpp     

http://commits.kde.org/telepathy-accounts-kcm/10ad86504cef9370c9e787ec7edabcd74a2e280e